Skip to main content
`Ctrl`+`K`

# scipy.special.nrdtrimn

scipy.special.nrdtrimn(p, std, x, out=None) = <ufunc 'nrdtrimn'>

  Calculate mean of normal distribution given other params.

  Parameters:
    p array_like

      CDF values, in range (0, 1].

    std array_like

      Standard deviation.

    x array_like

      Quantiles, i.e. the upper limit of integration.

    out ndarray, optional

      Optional output array for the function results

  Returns:
    mn scalar or ndarray

      The mean of the normal distribution.

  See also

  `scipy.stats.norm`

    Normal distribution

  `ndtr`

    Standard normal cumulative probability distribution

  `ndtri`

    Inverse of standard normal CDF with respect to quantile

  `nrdtrisd`

    Inverse of normal distribution CDF with respect to standard deviation

  Examples

  `nrdtrimn` can be used to recover the mean of a normal distribution if we know the CDF value p for a given quantile x and the standard deviation std. First, we calculate the normal distribution CDF for an exemplary parameter set.

      >>> from scipy.stats import norm
      >>> mean = 3.
      >>> std = 2.
      >>> x = 6.
      >>> p = norm.cdf(x, loc=mean, scale=std)
      >>> p
      0.9331927987311419

  Verify that `nrdtrimn` returns the original value for mean.

      >>> from scipy.special import nrdtrimn
      >>> nrdtrimn(p, std, x)
      3.0000000000000004